Skip to main content

eth_uninstallFilter

POST

Uninstalls the filter with the specified filter ID. Use a filter ID created via eth_newFilter. Returns false if the filter was already removed or does not exist.
param[0]
filterIdstringrequired
Filter ID is the unique identifier returned when creating a filter. Expressed as a hexadecimal string.
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://giwa-sepolia.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "eth_uninstallFilter",
"params": [
"0xaf35d60b70eb3b54018456a0d365ea49"
]
}'